VERSION 5.00
Begin VB.Form frmAlignFrames 
   Caption         =   "Form1"
   ClientHeight    =   5730
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   6345
   LinkTopic       =   "Form1"
   ScaleHeight     =   5730
   ScaleWidth      =   6345
   StartUpPosition =   3  'Windows-Standard
   Begin VB.Frame Frame2 
      Caption         =   "Frame2"
      Height          =   1815
      Left            =   120
      TabIndex        =   4
      Top             =   3720
      Width           =   6015
   End
   Begin VB.Frame Frame1 
      Caption         =   "Frame1"
      Height          =   3495
      Left            =   120
      TabIndex        =   0
      Top             =   120
      Width           =   6015
      Begin VB.CommandButton Command2 
         Caption         =   "Command2"
         Height          =   495
         Left            =   4440
         TabIndex        =   3
         Top             =   2880
         Width           =   1335
      End
      Begin VB.CommandButton Command1 
         Caption         =   "Command1"
         Height          =   495
         Left            =   240
         TabIndex        =   2
         Top             =   2880
         Width           =   1455
      End
      Begin VB.TextBox Text1 
         Height          =   2175
         Left            =   240
         TabIndex        =   1
         Text            =   "Text1"
         Top             =   360
         Width           =   5535
      End
   End
End
Attribute VB_Name = "frmAlignFrames"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
' ***************************************************************************
'  Forumlar zum Test der Objekt-Ausrichtung von Frames mit cAlign
' ***************************************************************************

'     Author :  Stefan Maag
'     Create :  05/12/2003
'     Change :
'     Change :
'     Change :


Option Explicit   ' erzwingt Variablendefinition: Fehlermeld. bei undim. Var.

Dim AlignFrame1 As New cAlign
Dim AlignText1 As New cAlign
Dim AlignCommand1 As New cAlign
Dim AlignCommand2 As New cAlign

Dim AlignFrame2 As New cAlign

Dim FormMinWidth As Single          ' Minimal zulssige Breite des Formulars
Dim FormMinHeight As Single         ' Minimal zulssige Hhe des Formulars


Private Sub Form_Load()
   
   FormMinWidth = Me.Width          ' minimale Ausmae des Formulars = Gre aus Entwicklungsumgebung
   FormMinHeight = Me.Height

   With AlignFrame1
      .Control = Frame1                               ' Frame1 der Ausrichtklasse zuweisen
      .SetAlignMode cAlignLeftRightTop
      .AlignObject(cBottom) = Frame2                  ' Bottom-Ausrichtungs-Objekt auf Frame 2
      
      ' So erreicht man links und rechts einen symetrischen Abstand
      .DistanceTo(cRight) = .DistanceTo(cLeft)

'      .DistanceTo(cTop) = 5 * Screen.TwipsPerPixelY         ' Abstand oben vom auszurichtenden Objekt 5 Pixel
'      .DistanceTo(cLeft) = 5 * Screen.TwipsPerPixelY        ' Abstand links vom auszurichtenden Objekt 5 Pixel
'      .DistanceTo(cBottom) = 5 * Screen.TwipsPerPixelY      ' Abstand unten vom auszurichtenden Objekt 5 Pixel
   End With
   
   With AlignText1
      .Control = Text1
      .SetAlignMode cAlignLeftRightTop
      .AlignObject(cBottom) = Command1
      .DistanceTo(cRight) = .DistanceTo(cLeft)        ' Symetrische Ausrichtung im Frame
   End With
   
   With AlignCommand1
      .Control = Command1
      .SetAlignMode cAlignLeftBottom
   End With
      
   With AlignCommand2
      .Control = Command2
      .SetAlignMode cAlignRightBottom
   End With
   
   With AlignFrame2
      .Control = Frame2
      .SetAlignMode cAlignLeftRightBottom
      ' So erreicht man links und rechts einen symetrischen Abstand
      .DistanceTo(cRight) = .DistanceTo(cLeft)
   End With

End Sub

Private Sub Form_Resize()
   If Me.WindowState = vbMinimized Then Exit Sub               ' sonst Fehler bei Minimierung, wegen Grenbegrenzung
   If Me.Width < FormMinWidth Then Me.Width = FormMinWidth     ' Formlar auf minimale Gre begrenzen
   If Me.Height < FormMinHeight Then Me.Height = FormMinHeight
   Align
End Sub

Private Sub Align()
   Debug.Print Me.ScaleWidth, Me.ScaleHeight
   
   AlignFrame2.Align
   AlignFrame1.Align
   AlignCommand1.Align
   AlignCommand2.Align
   AlignText1.Align
 
 '  bAlign = False
End Sub

